%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc

Summary: Library for tracking application startup
Name: startup-notification
Version: 0.5
Release: 2
URL: http://www.freedesktop.org/software/startup-notification/
Source: %{name}-%{version}.tar.bz2

Patch0:		startup-notification-0.5-autotools.patch

License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description

This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package devel
Summary: Development portions of startup-notification
Group: Development/Libraries
Requires: startup-notification = %{version}

%description devel

Header files and static libraries for libstartup-notification.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/startup-notification-0.5-autotools.patch


%build
./configure --prefix=%{_prefix}
make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in lib include
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

%files
%defattr(-,root,system)
%doc AUTHORS COPYING ChangeLog doc/startup-notification.txt
%{_libdir}/lib*.a

/usr/lib/lib*.a

%files devel
%defattr(-, root, system)
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/*
%{_includedir}/*

/usr/include/*
